Invite a tenant member
Analytics Events
/v1/tenants/{tenantId}/invitationsInvites a user to join the tenant and assigns roles to them within the tenant's context. If the user has not registered to the Self Service Portal yet, then they will receive an email with a link to accept the invite. If the user has already registered, then they will be added as a member to the tenant immediately.
Analytic events
- TENANT_MEMBER_INVITATION_CREATE_START
- TENANT_MEMBER_INVITATION_CREATE_SUCCESS
- TENANT_MEMBER_INVITATION_CREATE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Identifier of the tenant to add the member to.
uuidRequest Body
application/json
emailThe roles assigned to the user in the context of this tenant.
1 <= itemsResponse Body
application/json
application/json
text/plain
application/json
curl -X POST "https://manage.mattr.global/v1/tenants/543e0579-87b9-4705-be78-8f7f54709838/invitations" \ -H "Content-Type: application/json" \ -d '{ "email": "john-doe@example.com", "roles": [ "dts-provider", "issuer" ] }'{
"userId": "8f6d40a9-d913-45e8-aa3e-8c99d62cd8fb",
"status": "Active",
"inviteExpiresAt": "2025-08-22T07:46:09.510Z"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}"Unauthorized"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Delete tenant DELETE
Deletes a tenant by its ID. ### **Analytic events** * TENANT_DELETE_START * TENANT_DELETE_SUCCESS * TENANT_DELETE_FAIL
Retrieve tenant members GET
Retrieves a list of all users that have access to the tenant. ### **Analytic events** * TENANT_MEMBER_RETRIEVE_LIST_START * TENANT_MEMBER_RETRIEVE_LIST_SUCCESS * TENANT_MEMBER_RETRIEVE_LIST_FAIL